clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::Event< T >::Subscription Class Reference

`#include <Function.h>`

## Public Member Functions
| Subscription ()
| Subscription (Subscription &&Other)
Subscription & | operator= (Subscription &&Other)
| ~Subscription ()

## Detailed Description

### template<typename T>
class clang::clangd::Event< T >::Subscription

Definition at line 95 of file Function.h.

## Constructor & Destructor Documentation

## ◆ Subscription() [1/2]

template<typename T>

clang::clangd::Event< T >::Subscription::Subscription | ( |  | ) |
| inline

Definition at line 104 of file Function.h.

## ◆ Subscription() [2/2]

template<typename T>

clang::clangd::Event< T >::Subscription::Subscription | ( | Subscription && | Other | ) |
| inline

Definition at line 105 of file Function.h.

## ◆ ~Subscription()

template<typename T>

clang::clangd::Event< T >::Subscription::~Subscription | ( |  | ) |
| inline

Definition at line 123 of file Function.h.

## Member Function Documentation

## ◆ operator=()

template<typename T>

Subscription& clang::clangd::Event< T >::Subscription::operator= | ( | Subscription && | Other | ) |
| inline

Definition at line 108 of file Function.h.

The documentation for this class was generated from the following file:

- Function.h